.card-settings-wrapper {
  .card-settings-showcase {
    margin: 12px 0;
    display: flex;
    align-items: center;
  }

  .card-settings-limit-progress {
    flex-grow: 1;
  }

  .card-settings-subtitle {
  }

  .card-item-wrapper {
    width: 360px;
  }
}

.carousel-wrapper {
  width: 360px;

  &.single-card {
    width: 0;
  }

  .carousel-inner {
    width: 260px;
    border: none;
    @include shadow($list-item-shadow);

    .carousel-item {
      height: 162px;
      max-width: 260px;
    }
  }

  .nlb-card__content {
    top: 2px;
  }
}

nlb-progress-bar {
  .progress {
    border-radius: 10px;

    .progress-bar {
      border-radius: 0;

      &.bg-nlb-primary {
        background-color: $nlbRedColor;
      }

      &.bg-nlb-secondary {
        background-color: $nlbLightGreyColor;
      }
    }
  }

  // Progress bar component
  .progress-bar-content {
    //display: inline-flex;

    .progress-bar-value {
      color: $navigationLabelGray;
      font-family: Roboto-Medium, sans-serif;
      font-size: 16px;
      //font-weight: 700;
    }

    .progress-bar-color {
      margin-top: 4px;
      margin-right: 5px;
      height: 10px;
      width: 10px;
      border-radius: 50%;

      &.pb-primary {
        background-color: $nlbRedColor;
      }

      &.pb-secondary {
        background-color: $nlbLightGreyColor;
      }
    }
  }
}

.card-item-wrapper {
  align-items: flex-end;
  display: inline-flex;

  width: 300px;
  //height: 200px;
  position: relative;

  .card-item-bg {
    box-shadow: $list-item-shadow;
    width: 100%;
    height: 100%;
    border-radius: 8px;

    @include cards;
  }
}

.card-item-blocked {
  border-radius: 16px;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #80808096;
  text-align: center;

  .card-item-content {
    color: white;
  }

  .card-item-icon {
    font-size: 32px;
  }

  .card-item-pill {
    background-color: white;
    border-radius: 20px;
    color: #775a5a;
    font-size: 12px;
    padding: 4px 8px;
    font-family: 'Istok Web', sans-serif;
  }
}
